[Overview][Classes][Procedures and functions][Index] | Reference for unit 'streamcoll' (#fcl)

# ColWriteFloat

Write floating point value to stream

## Declaration

Source position: streamcoll.pp line 74

`procedure ColWriteFloat(`
`S: TStream;`
`AValue: Double`
`);`

## Arguments

`S` |  | Stream to write float value to
`AValue` |  | Double value to write to the stream

## Description

ColWriteFloat writes the double AValue to the stream S.

## See also

ColWriteDateTime |  | Write a TDateTime value to stream
ColWriteBoolean |  | Write a boolean to a stream
ColWriteString |  | Write a string value to the stream
ColWriteInteger |  | Write a 32-bit integer to a stream
ColReadFloat |  | Read a floating point value from a stream
ColWriteCurrency |  | Write a currency value to stream

The latest version of this document can be found at lazarus-ccr.sourceforge.net.